<?xml version="1.0" encoding="UTF-8"?>
<pipeline version=".1">
        <moduleGroup id="BRAINSDemonWarp_0" name="BRAINSDemonWarp" posX="0" posY="0">
                <module id="BRAINSDemonWarpCLP_0" name="BRAINSDemonWarpCLP" package="BRAINS" description="This module implements the BRAINSDemonWarpCLP executable to provide a user interface for use with the LONI Pipeline. Double Clicking the module will allow the user to select the command line parameters necessary for a given task.&#xA;&#xA;The goal of this BRAINSDemonWarp is to perform an intra-modality deformable registration with a chosen variant of the demons. If a target image is specified then the input image is registered onto the target image to produce an output image. Along with the target image other parameters need to be given by the user giving information for registration." location="pipeline://localhost//Users/cwcoffma/src/BRAINSDemonWarp_Files/BRAINS-COMPILE/Darwin/DEBUG-build/bin/BRAINSDemonWarpCLP" icon="/9j/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx&#xA;NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy&#xA;MjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjL/wAAUCABKAFYEASIAAhEBAxEBBCIA/8QAHwAAAQUB&#xA;AQEBAQEAAAAAAAAAAAECAwQFBgcICQoL/8QAtRAAAgEDAwIEAwUFBAQAAAF9AQIDAAQRBRIhMUEG&#xA;E1FhByJxFDKBkaEII0KxwRVS0fAkM2JyggkKFhcYGRolJicoKSo0NTY3ODk6Q0RFRkdISUpTVFVW&#xA;V1hZWmNkZWZnaGlqc3R1dnd4eXqDhIWGh4iJipKTlJWWl5iZmqKjpKWmp6ipqrKztLW2t7i5usLD&#xA;xMXGx8jJytLT1NXW19jZ2uHi4+Tl5ufo6erx8vP09fb3+Pn6/8QAHwEAAwEBAQEBAQEBAQAAAAAA&#xA;AAECAwQFBgcICQoL/8QAtREAAgECBAQDBAcFBAQAAQJ3AAECAxEEBSExBhJBUQdhcRMiMoEIFEKR&#xA;obHBCSMzUvAVYnLRChYkNOEl8RcYGRomJygpKjU2Nzg5OkNERUZHSElKU1RVVldYWVpjZGVmZ2hp&#xA;anN0dXZ3eHl6goOEhYaHiImKkpOUlZaXmJmaoqOkpaanqKmqsrO0tba3uLm6wsPExcbHyMnK0tPU&#xA;1dbX2Nna4uPk5ebn6Onq8vP09fb3+Pn6/9oADgQBAAIRAxEEAAA/APCv7V1H/n/uv+/zf40f2rqP&#xA;/P8A3X/f5v8AGqlFAHv9FFFW/wC1dR/5/wC6/wC/zf405NR1ORgqXt2zHoBKxP8AOqsUbzSLGgLM&#xA;xwAK9IsNI03wjpsNzfxi71i5UNDaA/dH95vQenrigAooorC03w/4n1FDJ9pu4YQMmV5WCj6nOB+N&#xA;dIPCV2bKOObxJAJFztK6onOfX5qoXt7rmqy7LmdooGBBt7f92u30IXGePWoP7ItFuI4CgwV+dWHP&#xA;50AFFFFQXvhrxHbxPLBfz3MatgtBcGRR/wACBxXMzX2qwOUlvLxCPWVv8a7IwahpTF9NupYYo2DL&#xA;CzEoxHqp4NWFhsPFtm9neRJZa2nzI2NqXH09Dz0HpmgAooorgf7V1H/n/uv+/wA3+NH9q6j/AM/9&#xA;1/3+b/Gm31lNp93JbToVdDg5qtQAUUUVuaPqd+124N9cn92esreo96KqaN/x+P8A9cz/ADFFABRR&#xA;RWdRRRQAUUUV2ngTS7ZRd6/qCbrPT1zt6FmOAMe+Wz+Fa1uBdXEmp3rn7RcHexbrk9vao7dkj+FU&#xA;EYxmS6DsB3HIq5FHDHEJJTuAAwG5xQAUUUVaESu8cinhRVO5gZr2MnDE/oKuRzpJGDEAAegxisC4&#xA;1a+t7l4mjRmUjD7MYzQAUUUVvSwCTywT8q9Qe9Zl7Zx3cLMm5JIm3KwPINaUEri3Uzkb8ZJFMj8t&#xA;smMgoT8wIoAKKKK5/wASKuteHIdZdh9vjlMV0uOWxjDnHHJJ6elcRXocWHXXbVY0VJ7YMeOhTLZF&#xA;eeUAFFFFaOjf8fj/APXM/wAxRRo3/H4//XM/zFFABRRRVS5SFJmEDl4+MEjFQ0UUAFFFFeh6XGLz&#xA;4cgrw0Nx5fP4tUCTt9liY5aM8H2rrPhtpEt78LtaSKFZZZLlZEDHGAABXOxiKNpIJwUdOHjI/pQA&#xA;UUUVajIQR5YAEZHtTpBC8+8ldxAGPXnNZN7GFj82FiQBgD0rPjuI2RlMsRfdkZIBBoAKKKK6mVtz&#xA;hVIJ7Cs1Sy3jJG23aPnJ6VVs3lmA3OMg9QeMVekWG3RmI3l/vN2oAKKKKdoSrcXeqFztj+yTqGPc&#xA;hDXm5GCR6V654c06ODSdUupLdzE9pOyFoyFB2Hv615GTkk+tABRRRWrokcZklcviQDAX1Hr/AC/O&#xA;iotG/wCPx/8Armf5iigAooorOooooAKKKK+jPAzXGgfCm2vrOCGaeWJpGWViFP7wryRXnusbdZuZ&#xA;L3y1tJydziNiR+Ga73wbM158JrKIEEIrq2OcfOxrzuRnWVYkP+tYJtPdieKACiiiqZiuZI/KEqsh&#xA;U5d+MEVyxSFGwZHV8/Nkfyru7azhnv1t79zFGJPLlZSDtHQnjNctc+HZI7mUJOHVXAD4xuHrQAUU&#xA;UVpW1pcwWKNbASJIM7yen1qaG2un3NPKGhUgmNeprRfS7SxghW2vnuSUBcshADdwOBVtlutOj+yS&#xA;xpG8oDsxILKvp178GgAoooruNFvJdW8FahA+m/Z7eK1mRJP7x2H9a+dpk8uZ0/usRX0ToU8dj4H1&#xA;OYy/KLJzhvUqRivnaV/Mmdz1Yk0AFFFFXtG/4/H/AOuZ/mKKNG/4/H/65n+YooAKKKKzqK9E/s2w&#xA;/wCfK2/79L/hR/Zth/z5W3/fpf8ACgAoooqh4Y+Ilz4b0G40tbMTpK2Q5kI2/pWHc+IZbhR+6CsG&#xA;DBg3Qg5rq/7NsP8Anytv+/S/4Uf2bYf8+Vt/36X/AAoAKKKK5hfEsiqf3ALHliWzk02TWZTJHcvE&#xA;drZGBLwSPb8RXU/2bYf8+Vt/36X/AAqxLp1j9kgH2O3wC2B5S+3tSAKKKK5J/FEzqFMIAByAGpi+&#xA;JrlpJJbgNNI5B3M5yMDAH5V1H9m2H/Plbf8Afpf8KP7NsP8Anytv+/S/4UwCiiiqV78Rp7zwm+hi&#xA;wji3hQZ0fBIHqMc1xFeif2bYf8+Vt/36X/Cj+zbD/nytv+/S/wCFABRRRXGaN/x+P/1zP8xRXoGm&#xA;6dYi4bFnbj5D0iX1HtRQAUUUV//Z" posX="331" posY="272">
                        <tag />
                        <uri>http://www.nitrc.org/projects/brainsdemonwarp/</uri>
                        <metadata>
                                <data key="__creationDateKey" value="Fri Sep 18 08:09:39 CDT 2009" />
                        </metadata>
                        <input id="BRAINSDemonWarpCLP_0.numberOfBCHApproximationTerms" name="numberOfBCHApproximationTerms" description="Number of terms in the BCH expansion (default: 2)&#xA;&#xA;" enabled="false" required="false" order="0" switch="--numberOfBCHApproximationTerms" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.gui" name="gui    " description="Display intermediate image volumes for debugging (default: 0)&#xA;Alternate Flag: -G" enabled="false" required="false" order="1" switch="--gui" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.use_vanilla_dem" name="use_vanilla_dem" description="Run vanilla demons algorithm (default: 0)&#xA;Alternate Flag: -a" enabled="false" required="false" order="2" switch="--use_vanilla_dem" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.histogramMatch" name="histogramMatch" description="Histogram Match the input images.  This is suitable for images of the same modality that may have different absolute scales, but the same&#xA;overall intensity profile. (default: 0)&#xA;Alternate Flag: -e" enabled="false" required="false" order="3" switch="--histogramMatch" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.max_step_length" name="max_step_length " description="Maximum length of an update vector (0: no restriction) (default: 2)&#xA;Alternate Flag: -l" enabled="false" required="false" order="4" switch="--max_step_length" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.up_field_sigma" name=" up_field_sigma" description="Smoothing sigma for the update field at each iteration (default: 0)&#xA;Alternate Flag: -g" enabled="false" required="false" order="5" switch="--up_field_sigma" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.gradient_type" name="gradient_type" description="Type of gradient used for computing the demons force (0 is symmetrized, 1 is fixed image, 2 is moving image) (default: 0)&#xA;Alternate Flag: -t" enabled="false" required="false" order="6" switch="--gradient_type" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>0</enumeration>
                                        <enumeration>1</enumeration>
                                        <enumeration>2</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.minimumMovingPyramid" name="minimumMovingPyramid" description="The Shrink factor for the first level of the moving image pyramid&#xA;(default: 16,16,16)&#xA;" enabled="false" required="false" order="7" switch="--minimumMovingPyramid" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.minimumFixedPyramid" name="minimumFixedPyramid" description="The Shrink factor for the first level of the fixed image pyramid&#xA;(default: 16,16,16)&#xA;" enabled="false" required="false" order="8" switch="--minimumFixedPyramid" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.arrayOfPyramidLevelIterations" name="arrayOfPyramidLevelIterations" description="The iterations for each pyramid level (default: 100,100,100)&#xA;Alternate Flag: -i" enabled="false" required="false" order="9" switch="--arrayOfPyramidLevelIterations" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.numberOfPyramidLevels" name="numberOfPyramidLevels" description="The number of pyramid levels (default: 3)&#xA;Alternate Flag: -n" enabled="false" required="false" order="10" switch="--numberOfPyramidLevels" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.numberOfMatchPoints" name="numberOfMatchPoints" description="The number of match points (default: 2)&#xA;" enabled="false" required="false" order="11" switch="--numberOfMatchPoints" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.numberOfHistogramBins" name="numberOfHistogramBins" description="The number of histogram levels (default: 256)" enabled="false" required="false" order="12" switch="--numberOfHistogramBins" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.initializeWithTransform" name="initializeWithTransform" description="Initial Transform filename&#xA;" enabled="false" required="false" order="13" switch="--initializeWithTransform" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="MAT File" extension="mat" description="Matrix describing transformation of image into standard space (found by first_flirt)." />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.initializeWithFourier" name="initializeWithFourier" description="Initial Coefficient filename." enabled="false" required="false" order="14" switch="--initializeWithFourier" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="File" extension="" description="Any type of data file" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.initializeWithDeformationField" name="initializeWithDeformationField" description="Initial deformation field vector image file name&#xA;" enabled="false" required="false" order="15" switch="--initializeWithDeformationField" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="File" extension="" description="Any type of data file" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.fixedLandmarks" name="fixedLandmarks" description="Landmarks filename for fixed (target) image to initialize deformation&#xA;field&#xA;" enabled="false" required="false" order="16" switch="--fixedLandmarks" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="File" extension="" description="Any type of data file" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.movingLandmarks" name="movingLandmarks" description="Landmarks filename for moving image to initialize deformation field&#xA;" enabled="false" required="false" order="17" switch="--movingLandmarks" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="File" extension="" description="Any type of data file" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.medianFilterSize" name="medianFilterSize" description="Median filter radius in all 3 directions (default: 0,0,0)&#xA;" enabled="false" required="false" order="18" switch="--medianFilterSize" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.neighborhoodForBOBF" name="neighborhoodForBOBF" description="Neighborhood in all 3 directions to be included when performing BOBF&#xA;(default: 1,1,1)&#xA;" enabled="false" required="false" order="19" switch="--neiborhoodForBOBF" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.seedForBOBF" name="seedForBOBF" description="Coordinates in all 3 directions for Seed when performing BOBF&#xA;(default: 0,0,0)&#xA;" enabled="false" required="false" order="20" switch="--seedForBOBF" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.backgroundFillValue" name="backgroundFillValue" description="Replacement value to overwrite background when performing BOBF&#xA;(default: 0)&#xA;" enabled="false" required="false" order="21" switch="--backgroundFillValue" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.upperThresholdForBOBF" name="upperThresholdForBOBF" description="Upper threshold for performing BOBF (default: 70)&#xA;" enabled="false" required="false" order="22" switch="--upperThresholdForBOBF" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.lowerThresholdForBOBF" name="lowerThresholdForBOBF" description="Lower threshold for performing BOBF (default: 0)" enabled="false" required="false" order="23" switch="--lowerThresholdForBOBF" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.movingBinaryVolume" name="movingBinaryVolume" description="Mask filename for desired region of interest in the Moving image.&#xA;" enabled="false" required="false" order="40" switch="--movingBinaryVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.fixedBinaryVolume" name="fixedBinaryVolume" description="Mask filename for desired region of interest in the Fixed image.&#xA;" enabled="false" required="false" order="39" switch="--fixedBinaryVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.maskProcessingMode" name="maskProcessingMode" description="What mode to use for using the masks: NOMASK|ROIAUTO|ROI|BOBF.  If ROIAUTO is choosen, then the mask is implicitly defined using a otsu forground and hole filling algorithm. Where the Region Of Interest mode uses the masks to define what parts of the image should be used for computing the deformation field.  Brain Only Background Fill uses the masks to pre-process the input images by clipping and filling in the background with a predefined value. (default: NOMASK)&#xA;" enabled="false" required="false" order="24" switch="--maskProcessingMode" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>NOMASK</enumeration>
                                        <enumeration>ROIAUTO</enumeration>
                                        <enumeration>ROI</enumeration>
                                        <enumeration>BOBF</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.outputDebug" name="outputDebug" description="Flag to write the images after each step (default: 0)&#xA;Alternate Flag: -v" enabled="false" required="false" order="25" switch="--outputDebug" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.forceCoronalZeroOrigin" name="forceCoronalZeroOrigin" description="Flag to indicate that all images being read in must have their spatial centers matched. (default: 0)&#xA;" enabled="false" required="false" order="27" switch="--forceCoronalZeroOrigin" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.checkerboardPatternSubdivisions" name="checkerboardPatternSubdivisions" description="Number of Checkerboard subdivisions in all 3 directions (default: 4,4,4)&#xA;" enabled="false" required="false" order="28" switch="--checkerboardPatternSubdivisions" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <output id="BRAINSDemonWarpCLP_0.outputCheckerboardVolume" name="outputCheckerboardVolume" description="Checkerboard image volume&#xA;" enabled="false" required="false" order="29" switch="--outputCheckerboardVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </output>
                        <output id="BRAINSDemonWarpCLP_0.outputDisplacementFieldPrefix" name="outputDisplacementFieldPrefix" description="Displacement Field filename prefix for x y and z component images (default: none)&#xA;" enabled="false" required="false" order="30" switch="--outputDisplacementFieldPrefix" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </output>
                        <input id="BRAINSDemonWarpCLP_0.inputPixelType" name="inputPixelType" description="Input Volumes Pixel Type: float|uchar|short|ushort|int (default: float)&#xA;" enabled="false" required="false" order="31" switch="--inputPixelType" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>float</enumeration>
                                        <enumeration>uchar</enumeration>
                                        <enumeration>short</enumeration>
                                        <enumeration>ushort</enumeration>
                                        <enumeration>int</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.outputPixelType" name="outputPixelType" description="Output Volume Pixel Type: float|uchar|short|ushort|int (default: CopyInputPixelType)" enabled="false" required="false" order="32" switch="--outputPixelType" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>CopyInputPixelType</enumeration>
                                        <enumeration>float</enumeration>
                                        <enumeration>uchar</enumeration>
                                        <enumeration>short</enumeration>
                                        <enumeration>ushort</enumeration>
                                        <enumeration>int</enumeration>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.smoothDeformationFieldSigma" name="smoothDeformationFieldSigma" description="A gaussian smoothing value to be applied to the deformation field (default: 1)     Alternate Flag: -s&#xA;" enabled="false" required="false" order="33" switch="--smoothDeformationFieldSigma" switchSpaced="true">
                                <format type="Number" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.registrationFilterType" name="registrationFilterType" description="Registration Filter Type: Demons|FastSymmetricForces|Diffeomorphic|&#xA;LogDemons|SymmetricLogDemons (default: Demons)&#xA;" enabled="false" required="false" order="34" switch="--registrationFilterType" switchSpaced="true">
                                <format type="Enumerated" cardinality="1">
                                        <enumeration>Demons</enumeration>
                                        <enumeration>FastSymmetricForces</enumeration>
                                        <enumeration>Diffeomorphic</enumeration>
                                        <enumeration>LogDemons</enumeration>
                                        <enumeration>SymmetricLogDemons</enumeration>
                                </format>
                        </input>
                        <output id="BRAINSDemonWarpCLP_0.outputDeformationFieldVolume" name="outputDeformationFieldVolume" description="Required: output deformation field vector image.&#xA;Alternate Flag: -O" enabled="false" required="false" order="35" switch="--outputDeformationFieldVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </output>
                        <output id="BRAINSDemonWarpCLP_0.outputVolume" name="outputVolume" description="Required: output resampled moving image.&#xA;Alternate Flag: -o" enabled="true" required="true" order="36" switch="--outputVolume" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </output>
                        <input id="BRAINSDemonWarpCLP_0.fixedVolume" name="fixedVolume" description="Required: input fixed target image&#xA;Alternate Flag: -f" enabled="true" required="true" order="37" switch="--fixedVolume" switchSpaced="true">
                                <format type="File" cardinality="-1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.movingVolume" name="movingVolume" description="Required: input moving image&#xA;(Alternate Flag: -m)&#xA;" enabled="true" required="true" order="38" switch="--movingVolume" switchSpaced="true">
                                <format type="File" cardinality="-1">
                                        <fileTypes>
                                                <filetype name="Nii Gz" extension="nii.gz" description="Compressed Nifti" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.ignore_rest" name="ignore_rest" description="Ignores the rest of the labeled arguments following this flag.&#xA;Alternate Flag: --" enabled="false" required="false" order="41" switch="--ignore_rest" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.processinformationaddress" name="processinformationaddress" description="Address of a structure to store process information (progress, abort, etc.). (default: 0)&#xA;" enabled="false" required="false" order="42" switch="--processinformationaddress" switchSpaced="true">
                                <format type="String" cardinality="1" />
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.xml" name="xml" description="Produce xml description of command line arguments (default: 0)&#xA;" enabled="false" required="false" order="43" switch="--xml" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.echo" name="echo" description="Echo the command line arguments (default: 0)&#xA;" enabled="false" required="false" order="44" switch="--echo" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.version" name="version" description=" Displays version information and exits.&#xA;&#xA;" enabled="false" required="false" order="45" switch="--version" switchSpaced="true">
                                <format type="File" cardinality="1">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.help" name="help" description="Displays usage information and exits. (-h : alternative flag)&#xA;" enabled="false" required="false" order="46" switch="--help" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                        <input id="BRAINSDemonWarpCLP_0.outputNormalized" name="outputNormalized" description="Flag to warp and write the normalized images to output.  In normalized images the image values are fit-scaled to be between 0 and 1 (default: 0)&#xA;" enabled="false" required="false" order="26" switch="--outputNormalized" switchSpaced="true">
                                <format type="File" cardinality="0">
                                        <fileTypes>
                                                <filetype name="No input" extension="" description="" />
                                        </fileTypes>
                                </format>
                        </input>
                </module>
        </moduleGroup>
</pipeline>

